Index: sources/client/src/components/user/Session/styles.js
===================================================================
--- sources/client/src/components/user/Session/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/components/user/Session/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,170 @@
+import styled from 'styled-components';
+import CIcon from '@mui/icons-material/Close';
+import Box from '@mui/material/Box';
+import { Button, TextField } from '@mui/material';
+import CreditCardIcon from '@mui/icons-material/CreditCard';
+
+export const Wrapper = styled.div`
+    display: flex;
+    flex-direction: column;
+    width: 100%;
+    min-height: 100%;
+    max-width: 500px;
+    border-radius: 10px;
+    position: relative;
+`;
+
+export const ButtonWrapper = styled.div`
+    bottom: 0;
+    margin: auto;
+    margin-top: 5vh;
+`;
+
+export const ModalContainer = styled(Box).attrs({
+    width: 350,
+    minHeight: 421,
+    bgcolor: '#2b7878fa',
+    boxShadow: 24,
+    zIndex: 100,
+    marginBottom: '10%',
+    color: 'whiteSmoke',
+})`
+    padding-bottom: 16px;
+    display: flex;
+    flex-direction: column;
+    align-content: center;
+    position: relative;
+`;
+
+export const CloseIcon = styled(CIcon).attrs({
+    sx: {
+        color: 'red',
+        fontSize: '2.5rem',
+    },
+})``;
+
+export const KeyValueWrapper = styled.div`
+    text-align: center;
+    margin-bottom: 20px;
+`;
+
+export const Key = styled.p`
+    margin: 0;
+    margin-bottom: 10px;
+    font-size: 1.15rem;
+`;
+
+export const Value = styled.p`
+    margin: 0;
+    font-weight: 600;
+    font-size: 1.25rem;
+`;
+
+export const PaymentMethodWrapper = styled.div`
+    display: flex;
+    flex-direction: row;
+    align-items: center;
+    justify-content: center;
+    width: 100%;
+`;
+
+export const PayWithText = styled.p`
+    margin: 0;
+    display: inline-block;
+    font-size: 1.15rem;
+    margin-right: 40px;
+`;
+
+export const PaymentMethodsWrapper = styled.div`
+    display: flex;
+    flex-direction: column;
+    justify-content: space-between;
+
+    span {
+        font-size: 1.15rem;
+        font-weight: 600;
+    }
+`;
+
+export const PayButtonWrapper = styled.div`
+    width: 100%;
+    text-align: center;
+    margin-top: 50px;
+`;
+
+export const ModalPayButton = styled(Button).attrs((props) => ({
+    variant: 'contained',
+    size: 'large',
+    sx: {
+        backgroundColor: `${props.theme.palette.primary.main}`,
+        fontSize: '1.25rem',
+    },
+}))`
+    :hover {
+        background-color: ${(props) => props.theme.palette.primary.dark};
+    }
+`;
+
+export const CardDetails = styled.div`
+    display: flex;
+    flex-direction: column;
+    width: 100%;
+    padding: 0 30px;
+`;
+
+export const DateAndCCVWrapper = styled.div`
+    display: flex;
+    flex-direction: row;
+    width: 100%;
+    justify-content: space-between;
+    padding-right: 5%;
+`;
+
+export const ModalInput = styled(TextField).attrs({
+    fullWidth: true,
+    sx: {
+        marginTop: '10px',
+        padding: 0,
+    },
+})`
+    input {
+        text-align: center;
+        font-size: 1.15rem;
+        font-weight: 500;
+        border: 2px solid ${(props) => props.theme.palette.primary.main};
+        border-radius: 10px;
+        width: 100%;
+        color: whiteSmoke;
+        :focus {
+            border: 2px dashed ${(props) => props.theme.palette.primary.main};
+        }
+        ::placeholder {
+            opacity: 0.6;
+        }
+    }
+    > div {
+        padding: 0;
+    }
+    fieldset,
+    .Mui-focused {
+        border: 0;
+    }
+`;
+
+export const ModalInputCardNumber = styled(ModalInput)`
+    input {
+        padding-left: 42px;
+    }
+    fieldset {
+        position: relative;
+    }
+`;
+
+export const CreditCard = styled(CreditCardIcon).attrs((props) => ({
+    sx: {
+        fontSize: '2rem',
+        color: `${props.theme.palette.primary.main}`,
+        position: 'absolute',
+        marginLeft: '10px',
+    },
+}))``;
Index: sources/client/src/config/defaultUser.js
===================================================================
--- sources/client/src/config/defaultUser.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/config/defaultUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -4,7 +4,7 @@
     firstName: '',
     lastName: '',
-    zone: 'none',
-    phoneNumber: '',
-    status: 'notWorking',
-    accountActive: false
+    parkingZones: ['NONE'],
+    mobile: '',
+    status: 'NOT_WORKING',
+    locked: true,
 };
Index: sources/client/src/config/enums.js
===================================================================
--- sources/client/src/config/enums.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/config/enums.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,22 +1,24 @@
 export const employeeStatus = {
-  notWorking: 'Не работи',
-  working: 'Работи',
-  vacation: 'На одмор',
+    NOT_WORKING: 'Не работи',
+    WORKING: 'Работи',
+    VACATION: 'На одмор',
+    PAID_LEAVE: 'На боледување',
 };
 
 export const accountStatus = {
-  enabled: 'Активен',
-  disabled: 'Неактивен',
+    enabled: 'Активен',
+    disabled: 'Неактивен',
 };
 
 export const sessionStatus = {
-  active: 'active',
-  idle: 'idle',
-  over: 'over',
+    idle: 'STARTED_UNVERIFIED',
+    active: 'STARTED_VERIFIED',
+    over: 'ENDED_UNPAID',
 };
 
 export const roles = {
-  user: 'ROLE_USER',
-  employee: 'ROLE_EMPLOYEE',
-  admin: 'ROLE_ADMIN',
+    user: 'ROLE_REG_USER', 
+    guest: 'ROLE_USER',
+    employee: 'ROLE_WORKER',
+    admin: 'ROLE_ADMIN',
 };
Index: sources/client/src/config/utilities.js
===================================================================
--- sources/client/src/config/utilities.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/config/utilities.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,4 @@
+export const mobile_max_width = 480; // px
+
+export const dateFormatString = 'HH:mm - DD.MM.YYYY';
+
Index: sources/client/src/context/AccessoriesContext.js
===================================================================
--- sources/client/src/context/AccessoriesContext.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/context/AccessoriesContext.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,3 @@
+import { createContext } from 'react';
+
+export const AccessoriesContext = createContext(null);
Index: sources/client/src/context/UserContext.js
===================================================================
--- sources/client/src/context/UserContext.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/context/UserContext.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,3 @@
+import { createContext } from 'react';
+
+export const UserContext = createContext(null);
Index: sources/client/src/hooks/useActivateSession.js
===================================================================
--- sources/client/src/hooks/useActivateSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useActivateSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,43 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useActivateSession = () => {
+  const [isLoading, setIsLoading] = useState(false);
+  const { setAlert } = useContext(AccessoriesContext);
+
+  const activateSession = async ({
+    pssId,
+    parkingSpaceName,
+    onActivateSession,
+  }) => {
+    setIsLoading(true);
+    axios
+        .put(
+            `/parkingSession/verify/${pssId}?parkingSpaceName=${parkingSpaceName}`)
+        .then((res) => {
+            // res.data is the new updated active zone
+            setAlert({
+                type: 'success',
+                msg: 'Сесијата е успешно активирана!',
+            });
+            onActivateSession({ updatedSession:res.data });
+        })
+        .catch((err) => {
+          console.log(err);
+            setAlert({
+                type: 'error',
+                msg: 'Проблеми со серверот!',
+            });
+        })
+        .finally(() => {
+            setIsLoading(false);
+        });
+  };
+  return {
+    activateSession,
+    isLoading,
+  };
+};
+
+export default useActivateSession;
Index: sources/client/src/hooks/useCreateEmployee.js
===================================================================
--- sources/client/src/hooks/useCreateEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useCreateEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,39 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { useHistory } from 'react-router-dom';
+
+const useCreateEmployee = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const history = useHistory();
+    const createEmployee = async ({ employee }) => {
+        setIsBackdropLoaderOpen(true);
+        console.log(employee);
+        await axios
+            .post(`/vraboten`, employee) // TODO CHANGE OBJECT
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Вработениот ${employee.firstName} ${employee.lastName} е успешно креирана!`,
+                });
+                history.push('/employees');
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        createEmployee,
+    };
+};
+
+export default useCreateEmployee;
Index: sources/client/src/hooks/useCreateZone.js
===================================================================
--- sources/client/src/hooks/useCreateZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useCreateZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,47 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useCreateZone = () => {
+    const [isLoading, setIsLoading] = useState(false);
+    const { setAlert } = useContext(AccessoriesContext);
+
+    const createZone = async ({
+        zoneName,
+        setModalInput,
+        setModalOpen,
+        addNewZoneToData,
+    }) => {
+        setIsLoading(true);
+        await axios
+            .post(`/parkingZoneName`, zoneName)
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Зоната ${zoneName} е успешно креирана!`,
+                });
+                setModalOpen(false);
+                setModalInput('');
+                console.log(res.data);
+                addNewZoneToData({ ...res.data });
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                console.log(err);
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+
+    return {
+        createZone,
+        isLoading,
+    };
+};
+
+export default useCreateZone;
Index: sources/client/src/hooks/useDeleteEmployee.js
===================================================================
--- sources/client/src/hooks/useDeleteEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useDeleteEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,39 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { useHistory } from 'react-router-dom';
+
+const useDeleteEmployee = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const history = useHistory();
+    const deleteEmployee = async ({ id }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .delete(`/vraboten/${id}`)
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Вработениот е успешно избришан!`,
+                });
+                history.push('/employees');
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+                console.log(err);
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        deleteEmployee,
+    };
+};
+
+export default useDeleteEmployee;
Index: sources/client/src/hooks/useDeleteSession.js
===================================================================
--- sources/client/src/hooks/useDeleteSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useDeleteSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,40 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useDeleteSession = () => {
+  const [isLoading, setIsLoading] = useState(false);
+  const { setAlert } = useContext(AccessoriesContext);
+
+  const deleteSession = async ({ pssId, onDeleteSession }) => {
+    setIsLoading(true);
+    await axios
+        .delete(`/parkingSession/${pssId}`) 
+        .then((res) => {
+            setAlert({
+                type: 'success',
+                msg: `Сесијата е успешно избришана!`, //
+            });
+
+            onDeleteSession({ pssId });
+        })
+        .catch((err) => {
+            // ALERT FOR ERROR WITH ERROR MSG
+            setAlert({
+                type: 'error',
+                msg: 'Проблеми со серверот!', // TODO change msg to err.message
+            });
+            console.log(err);
+        })
+        .finally(() => {
+            setIsLoading(false);
+        });
+  };
+
+  return {
+    deleteSession,
+    isLoading,
+  };
+};
+
+export default useDeleteSession;
Index: sources/client/src/hooks/useDeleteUserPlate.js
===================================================================
--- sources/client/src/hooks/useDeleteUserPlate.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useDeleteUserPlate.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,42 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { UserContext } from '../context/UserContext';
+
+const useDeleteUserPlate = () => {
+    const { user } = useContext(UserContext);
+    const { setAlert } = useContext(AccessoriesContext);
+    const deleteUserPlate = async ({
+        deletePlate,
+        plate,
+        ind,
+        setIsLoadingDeletePlate,
+    }) => {
+        setIsLoadingDeletePlate({ state: true, itemInd: ind });
+        await axios
+            .delete(`/registriranParkirac/${user.id}/tablici/${plate}`) // TODO CHANGE OBJECT
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Таблицата е успешно избришана!`, // TODO Change MSG
+                });
+                deletePlate(plate); // or res.plate
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoadingDeletePlate({ state: false, itemInd: null });
+            });
+    };
+
+    return {
+        deleteUserPlate,
+    };
+};
+
+export default useDeleteUserPlate;
Index: sources/client/src/hooks/useDeleteZone.js
===================================================================
--- sources/client/src/hooks/useDeleteZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useDeleteZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,40 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { useHistory } from 'react-router-dom';
+
+const useDeleteZone = () => {
+  const [isLoading, setIsLoading] = useState(false);
+  const { setAlert } = useContext(AccessoriesContext);
+  const history = useHistory();
+  const deleteZone = async ({ id }) => {
+    setIsLoading(true);
+    await axios
+      .delete(`/parkingZone/${id}`) // TODO CHANGE OBJECT
+      .then((res) => {
+        setAlert({
+          type: 'success',
+          msg: `Зоната е успешно избришана!`, // TODO Change MSG - add the first and last name of the deleted emoloyee
+        });
+        history.push('/');
+      })
+      .catch((err) => {
+        // ALERT FOR ERROR WITH ERROR MSG
+        setAlert({
+          type: 'error',
+          msg: 'Проблеми со серверот!', // TODO change msg to err.message
+        });
+        console.log(err);
+      })
+      .finally(() => {
+        setIsLoading(false);
+      });
+  };
+
+  return {
+    deleteZone,
+    isLoading,
+  };
+};
+
+export default useDeleteZone;
Index: sources/client/src/hooks/useFindUser.js
===================================================================
--- sources/client/src/hooks/useFindUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useFindUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,74 @@
+import axios from 'axios';
+import { useEffect, useState } from 'react';
+import { useLocation } from 'react-router-dom';
+import jwt from 'jwt-decode';
+
+const useFindUser = ({ setAlert }) => {
+    const [user, setUser] = useState(null);
+    const [isLoading, setIsLoading] = useState(true);
+    const location = useLocation();
+    const findUser = async () => {
+        let token = localStorage.getItem('token');
+        try {
+            if (!token) throw Error();
+            token = JSON.parse(token);
+        } catch (err) {
+            if (
+                location.state === undefined &&
+                location.pathname !== '/' &&
+                location.pathname !== '/login-guest' &&
+                location.pathname !== '/login' &&
+                location.pathname !== '/register'
+            ) {
+                setAlert({
+                    type: 'error',
+                    msg: 'Не Сте Логирани!', // TODO change msg to err.message
+                });
+            }
+            setIsLoading(false);
+            return;
+        }
+        axios.defaults.headers.common['Authorization'] = `Bearer ${token}`;
+        
+        await axios
+            .get(`/testToken`)
+            .then((res) => {
+                if(res.status !== 200) throw new Error('Invalid token!');
+                const user = jwt(token);
+                setUser({
+                    firstName: user.fullName.split(' ')[0] ?? '',
+                    lastName: user.fullName.split(' ')[1] ?? '',
+                    role: user.roles[0] ?? '',
+                    id: user.id,
+                });
+            })
+            .catch((err) => {
+                localStorage.clear();
+                if (
+                    location.state === undefined &&
+                    location.pathname !== '/' &&
+                    location.pathname !== '/login-guest' &&
+                    location.pathname !== '/register'
+                ) {
+                    setAlert({
+                        type: 'error',
+                        msg: 'Не Сте Логирани!', // TODO change msg to err.message
+                    });
+                }
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+    useEffect(() => {
+        findUser();
+    }, []);
+
+    return {
+        user,
+        setUser,
+        isLoading,
+    };
+};
+
+export default useFindUser;
Index: sources/client/src/hooks/useForm.js
===================================================================
--- sources/client/src/hooks/useForm.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/hooks/useForm.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -10,8 +10,11 @@
     });
   };
-
+  const setNewData = (newData) => {
+    setData({...newData});
+  }
   return {
     data,
     onFormChange,
+    setNewData
   };
 };
Index: sources/client/src/hooks/useGetData.js
===================================================================
--- sources/client/src/hooks/useGetData.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useGetData.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,38 @@
+import { useState, useEffect, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useGetData = ({ url }) => {
+    const [data, setData] = useState(null);
+    const [isLoading, setIsLoading] = useState(true);
+    const { setAlert } = useContext(AccessoriesContext);
+    const fetchData = async () => {
+        await axios
+            .get(url)
+            .then((res) => {
+                setData(res.data);
+                console.log(res.data);
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+    useEffect(() => {
+        fetchData();
+    }, []);
+    return {
+        data,
+        setData,
+        isLoading,
+        fetchData
+    };
+};
+
+export default useGetData;
Index: sources/client/src/hooks/useGetSessionOverInfo.js
===================================================================
--- sources/client/src/hooks/useGetSessionOverInfo.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useGetSessionOverInfo.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,34 @@
+import { useState } from 'react';
+import axios from 'axios';
+
+const useGetSessionOverInfo = () => {
+    const [isLoading, setIsLoading] = useState(false);
+    const [totalPrice, setTotalPrice] = useState(null);
+
+    const getSessionInfoOver = async () => {
+        setIsLoading(true);
+        await axios
+            .get(`/parkingSession/end/calculate`)
+            .then((res) => {
+                // setTimeAndSessionPrice({totalTime: res.data.totalTime, totalPrice: res.data.totalPrice});
+                setTotalPrice(res.data);
+            })
+            .catch((err) => {
+                // setAlert({
+                //     type: 'error',
+                //     msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                // });
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+
+    return {
+        getSessionInfoOver,
+        isLoading,
+        totalPrice,
+    };
+};
+
+export default useGetSessionOverInfo;
Index: sources/client/src/hooks/useGetSessions.js
===================================================================
--- sources/client/src/hooks/useGetSessions.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useGetSessions.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,43 @@
+import { useState, useEffect, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+// THIS HOOK SHOULD LISTEN ON SOME PORT FOR CHANGES
+
+const useGetSessions = (zoneId) => {
+  const [data, setData] = useState([]);
+  const [isLoading, setIsLoading] = useState(true);
+  const { setAlert } = useContext(AccessoriesContext);
+  const fetchData = async () => {
+    await axios
+        .get(`/parkingSession/${zoneId}`)
+        .then((res) => {
+            setData(res.data);
+        })
+        .catch((err) => {
+            // ALERT FOR ERROR WITH ERROR MSG
+            setAlert({
+                type: 'error',
+                msg: 'Проблеми со серверот!', // TODO change msg to err.message
+            });
+        })
+        .finally(() => {
+            setIsLoading(false);
+        });
+  };
+  useEffect(() => {
+    fetchData();
+    const fetchInterval = setInterval(fetchData, 30000);
+    return () => {
+      clearInterval(fetchInterval);
+    };
+  }, []);
+
+  return {
+    data,
+    isLoading,
+    setData
+  };
+};
+
+export default useGetSessions;
Index: sources/client/src/hooks/useGetZoneByName.js
===================================================================
--- sources/client/src/hooks/useGetZoneByName.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useGetZoneByName.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,36 @@
+import { useState,useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useGetZoneByName = (defaultZoneInfo) => {
+    const [zone, setZone] = useState(defaultZoneInfo);
+    const [isLoading, setIsLoading] = useState(false);
+    const { setAlert } = useContext(AccessoriesContext);
+    const fetchZone = async (pzName) => {
+        setIsLoading(true);
+        return await axios
+            .get(`/parkingZone/name/${pzName}`)
+            .then((res) => {
+                setZone(res.data);
+                return res.data;
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+    return {
+        zone,
+        isLoading,
+        fetchZone,
+        setZone
+    };
+};
+
+export default useGetZoneByName;
Index: sources/client/src/hooks/useIsMobile.js
===================================================================
--- sources/client/src/hooks/useIsMobile.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useIsMobile.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,24 @@
+import { useState, useEffect } from 'react';
+
+const mobile_max_width = 480;
+
+const useIsMobile = () => {
+  const [width, setWidth] = useState(window.innerWidth);
+  const [isMobile, setIsMobile] = useState(width < mobile_max_width);
+  function handleWindowSizeChange() {
+    setWidth(window.innerWidth);
+    setIsMobile(window.innerWidth < mobile_max_width);
+  }
+  useEffect(() => {
+    window.addEventListener('resize', handleWindowSizeChange);
+    return () => {
+      window.removeEventListener('resize', handleWindowSizeChange);
+    };
+  }, []);
+
+  return {
+    isMobile,
+  };
+};
+
+export default useIsMobile;
Index: sources/client/src/hooks/useLogin.js
===================================================================
--- sources/client/src/hooks/useLogin.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useLogin.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,46 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import jwt from 'jwt-decode';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { UserContext } from '../context/UserContext';
+
+const useLogin = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const { setUser } = useContext(UserContext);
+    const loginUser = async ({ email, password }) => {
+        setIsBackdropLoaderOpen(true);
+        const formData = new FormData();
+        formData.append('username', email);
+        formData.append('password', password);
+        await axios
+            .post(`/api/login`, formData)
+            .then((res) => {
+                const token = res.data.access_token;
+                const user = jwt(token);
+                axios.defaults.headers.common['Authorization']= `Bearer ${token}`;
+                localStorage.setItem('token', JSON.stringify(token));
+                setUser({
+                    firstName: user.fullName.split(' ')[0] ?? '',
+                    lastName: user.fullName.split(' ')[1] ?? '',
+                    role: user.roles[0] ?? '',
+                    id: user.id,
+                });
+            })
+            .catch((err) => {
+                console.log(err);
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+    return {
+        loginUser,
+    };
+};
+
+export default useLogin;
Index: sources/client/src/hooks/useLoginGuest.js
===================================================================
--- sources/client/src/hooks/useLoginGuest.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useLoginGuest.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,38 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import jwt from 'jwt-decode';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { UserContext } from '../context/UserContext';
+import useLogin from './useLogin';
+
+const useLoginGuest = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const { loginUser } = useLogin();
+    const loginGuest = async ({ credentials }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .post(`/guest`, credentials)
+            .then(async ({ data: guest }) => {
+                await loginUser({
+                    email: guest.email,
+                    password: guest.password,
+                });
+            })
+            .catch((err) => {
+                console.log(err);
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+    return {
+        loginGuest,
+    };
+};
+
+export default useLoginGuest;
